Retrieves the db note with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
db_notes| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| db_table_id |
Table Id db notes linked to |
globally unique identifier |
Optionally required : db_table_id or db_table_name must be provided |
| db_table_name |
Foreign key to the table this db_notes is linked to (Possibles values are company,jobs,project,task) using table name |
string |
Optionally required : db_table_id or db_table_name must be provided |
| id_in_table |
Item id on the given table on which db note linked to |
globally unique identifier |
Required |
| user_id |
Created User ID |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating a db_notes |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating a db_notes |
user |
Optionally required : user_id, user_code or user must be provided |
| date_add |
Date Added. is on the local user time. |
date | |
| dateutc_add |
Date Added. Auto-filled by NOW if empty |
date | |
| notes |
Notes |
string |
Required |
| reference_back_office | string |
Max length: 255 |
|
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "71ad76fe-3673-4bb5-b1fd-54065b01ab7a",
"db_table_id": "9b7c62d8-9f26-44b9-a793-bc911434f2ba",
"db_table_name": "sample string 3",
"id_in_table": "cb060085-e685-4cea-98ec-d08b39f5cf1f",
"user_id": "b51a7044-a7a9-47ca-9c3c-60e329ff0729",
"user_code": "sample string 6",
"date_add": "2026-10-27T13:59:57.5405197+00:00",
"dateutc_add": "2026-10-27T13:59:57.5405197+00:00",
"notes": "sample string 9",
"reference_back_office": "sample string 10",
"modified_dateutc": "2026-10-27T13:59:57.5405197+00:00"
}